load allData PAR Ta rBLUE rNIR rRED NEE rSWIR dy

EVI  = 2.5*(rNIR - rRED) ./ (rNIR + 6*rRED - 7.5*rBLUE + 1);
LSWI = (rNIR - rSWIR) ./ (rNIR + rSWIR); 
Wscl = (1 + LSWI) ./ (1 + max(LSWI));
Pscl = .5*(1+LSWI);
Prod = Wscl .* Pscl;  clear LSWI Pscl Wscl  

disp(['PAR  ' sprintf('%6.3f',cor4vects(Ta,PAR ))])
disp(['EVI  ' sprintf('%6.3f',cor4vects(Ta,EVI ))])
disp(['Prod ' sprintf('%6.3f',cor4vects(Ta,Prod))])
disp(['NEE  ' sprintf('%6.3f',cor4vects(Ta,NEE ))])

% focus on summer only
i     = find( dy>131 & dy<291 ); clear dy % summer
PAR   = PAR(i);
Ta    = Ta(i);
rBLUE = rBLUE(i);
rNIR  = rNIR(i);
rRED  = rRED(i);
NEE   = NEE(i);
rSWIR = rSWIR(i);
EVI   = EVI(i);
Prod  = Prod(i);

%          1   2   3    4     5     6 
X     = [ PAR Ta rBLUE rNIR rRED rSWIR ];
y     = NEE;

dr   = cell(4,1);
I    = cell(4,1);
tg   = -2:32;
dt   = 3;

Tmin =   0;  load TnPARdependence.mat Prm
Tmax =  40;
Nmc  = length(Prm(:,1));
t    = (max(Tmin,tg) - Tmin) .* (tg - Tmax); 
t    = t' * ones(1,Nmc);
t    = t ./ ( t - (tg'-Prm(:,2)').*(tg'-Prm(:,2)') );
Tsc  = median(t,2);  [~,i] = max(Tsc); tsmx = tg(i);
  
cl   = 'rbmc';
N    = zeros(4,length(tg));
Pr   = zeros(4,length(tg));
Ev   = zeros(4,length(tg));

cP   = [ 50 350 850 1200 ]; % central PARs
dp   = 50;
for i = 1:4
  j      = find( PAR>(cP(i)-dp) & PAR<(cP(i)+dp) ); 
  I{i}   = j; 
  dr{i}  = [ 'PAR = ' int2str(cP(i)) ];
  t      =   Ta(j);
  n      =  NEE(j);
  pr     = Prod(j);
  ev     =  EVI(j);
  m      = [];
  for j = 1:length(tg)
    k = find( t>(tg(j)-dt) & t<(tg(j)+dt) );
    if length(k)>49   
       N(i,j) = median( n(k));  
      Pr(i,j) = median(pr(k));  
      Ev(i,j) = median(ev(k));  
      m = [ m j ]; 
    end
  end
end

un  = 'Units';
clr = 'color';
rt  = 'Rotation';
fs  = 'FontSize';
lw  = 'LineWidth';
fw  = 'FontWeight';
nr  = 'normalized';
bg  = 'BackgroundColor';
ha  = 'HorizontalAlignment';  

clf

axes('Position',[.085 .5 .3 .36])
plot(tsmx*[1 1],[-22 -11.4],'-','Color',.8*[1 1 1]); hold on
plot(tsmx*[1 1],[-9.9  -5.8],'-','Color',.8*[1 1 1])
plot(tsmx*[1 1],[ -4.3    .8],'-','Color',.8*[1 1 1])
plot(tsmx*[1 1],[  2.3     13],'-','Color',.8*[1 1 1])
plot([-20 50],[0 0],'-',clr,.7*[1 1 1])
k = [];
for i = 1:4
  j = find(N(i,:));
  k = union(j,k);
  n = N(i,j);
  n = n([1 1:end end]);
  n = conv(n,[1 2 1]/4,'same');
  n = n(2:end-1);
  plot(tg(j),n,'-',clr,cl(i))
end
n = N(1:3,k);
n = n(:);
n = n(find(n));
k = sort(k);
axis([ tg(k([1 end]))+.6*[-1 1] -20.8 4.6])
xlabel('air temperature, ^\circC')
ylabel('observed NEE, \mumol m^{-2} s^{-1}')
set(gca,'Box','off')
tx = [ 'PAR = ' int2str(round(cP(1)))  ' \mumol m^{-2} s^{-1}' ];
text(10,1.7,tx,clr,cl(1))
tx = [ 'PAR = ' int2str(round(cP(2)))  ' \mumol m^{-2} s^{-1}' ];
text(10,-4.9,tx,clr,cl(2))
tx = [ 'PAR = ' int2str(round(cP(3))) ' \mumol m^{-2} s^{-1}' ];
text(13,-10.3,tx,clr,cl(3))
tx = [ 'PAR = ' int2str(round(cP(4))) ];
text(8,-17,tx,clr,cl(4))
text(8,-18.3,'\mumol m^{-2} s^{-1}',clr,cl(4))
text(.02,.97,'{\bfa}',un,nr,fs,15)

axes('Position',[.46 .68 .3 .175])
plot(tsmx*[1 1],[-22 5],'-','Color',.8*[1 1 1]); hold on
k = [];
for i = 1:4
  j  = find(Pr(i,:));
  k  = union(j,k);
  pr = Pr(i,j) .* Ev(i,j);
  pr = pr([1 1:end end]);
  pr = conv(pr,[1 2 1]/4,'same');
  pr = pr(2:end-1);
  plot(tg(j),pr,'-',clr,cl(i))
end
axis([ 5 29.5 .195 .342])
xlabel('air temperature, ^\circC')
ylabel('{\itW}_{scale}{\itP}_{scale}EVI')
set(gca,'XTickLabel',[],'Box','off')
text(.02,.93,'{\bfb}',un,nr,fs,15)

axes('Position',[.46 .5 .3 .175])
plot(tsmx*[1 1],[0 1],'-','Color',.8*[1 1 1]); hold on
plot(tg,Tsc,'k--')
plot(5.6*[1 1],.63+[0 .342-.195],'k-',lw,1)
axis([ 5 29.5 0.32 1.02])
xlabel('air temperature, ^\circC')
ylabel('{\itT}_{scale}')
set(gca,'Box','off')
text(.02,.93,'{\bfc}',un,nr,fs,15)
i = '{\itT}_g({\itT}_{scale}^{ max}) \approx ';
i = [ i int2str(tsmx) '^\circC'];
text(tsmx-.1,.43,i,ha,'r') 

set(gcf,'PaperPosition',[.5 .5 8 9])
print -dpdf -r350 -painters dependenceFixedPAR.pdf

